Show / Hide Table of Contents

# Struct RaptureAtkUnitManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RaptureAtkUnitManager

### Fields

| Improve this Doc View Source

#### AtkUnitManager

##### Declaration

    public AtkUnitManager AtkUnitManager

##### Field Value

Type | Description
--- | ---
AtkUnitManager |

### Methods

| Improve this Doc View Source

#### GetAddonById(UInt16)

##### Declaration

    public AtkUnitBase*GetAddonById(ushort id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | id |

##### Returns

Type | Description
--- | ---
AtkUnitBase* |

| Improve this Doc View Source

#### GetAddonByName(Byte*, Int32)

##### Declaration

    public AtkUnitBase*GetAddonByName(byte *name, int index = 1)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |
System.Int32 | index |

##### Returns

Type | Description
--- | ---
AtkUnitBase* |